<?php
/*
Wacintaki Poteto Draw Script
Copyright 2004-2005 Marc "Waccoon" Leveille, http://www.NineChime.com/Wacintosh.htm
Version 1.2.0 - Last modified 4/20/2005
*/


// Load bootstrap
$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];
define ('BOOT', 1);
require ('boot.php');


// Pictures folder locked?
if (!is_writable ($cfg['op_pics'])) {
	report_err('Pictures folder is locked!  View Readme.txt for help.');
}


//Check GET: draw info
if ($_GET['Submit'] == 'Submit') {
	$app   = $_GET['applet'];
	$xsize = (int) $_GET['canvasx'];
	$ysize = (int) $_GET['canvasy'];

	$useapp = '';
	$datatype = 0;
	$app_params = '';

	switch ($app) {
		case 'paintbbs':
			$useapp = 'paintBBS.php';
			break;
		case 'notebbs':
			$useapp = 'noteBBS.php';
			break;
		case 'oekakibbs':
			$useapp = 'oekakiBBS.php';
			$datatype = 1;
			break;
		case 'shi':
			$useapp = 'shiBBS.php';
			$datatype = 2;
			break;
		case 'shipro':
			$useapp = 'shiBBS.php';
			$datatype = 3;
			$app_params = 'tools=pro&cursor=cursor&';
			break;
		default:
			all_done();
	}

	if ($xsize < $cfg['canvas_x']) $xsize == $cfg['min_x'];
	if ($ysize < $cfg['canvas_y']) $ysize == $cfg['min_y'];
	if ($xsize > $cfg['canvas_x']) $xsize == $cfg['canvas_x'];
	if ($ysize > $cfg['canvas_y']) $ysize == $cfg['canvas_y'];

	$useanim = ($_GET['anim'] == 'on') ? '1' : '0' ;


	all_done($useapp.'?'.$app_params.'xcord='.$xsize.'&ycord='.$ysize.'&anim='.$useanim.'&datatype='.$datatype);
}



/* START HTML */
include('header.php');


// Check for unfinished pictures
$result = mysql_query ("SELECT COUNT(PIC_ID) FROM {$OekakiPoteto_Prefix}oekakidta WHERE postlock='0' AND usrname='$OekakiU'");
$num_rows = (int) mysql_result ($result, 0);

if ($num_rows > 0) {
	// Unfinished pictures interface
?>
<div id="contentmain">

	<!-- Unfinished -->
	<h1 class="header">
		Unfinished Pictures
	</h1>

	<div class="infotable" style="text-align: center">
		<p>
			You have <?= $num_rows; ?> unfinished picture<? if ($num_rows > 1) echo 's'; ?>.  Please finish or delete <? if ($num_rows > 1) {echo 'them';} else {echo 'it';} ?> before starting a new picture.
		</p>

		<p>
			<a href="recover.php">Click here to recover pictures</a>.
		</p>
	</div>
</div>


<?
	include('footer.php');
	exit;

} else {
	// Print draw interface

?>
<div id="contentmain">

	<!-- Draw -->
	<h1 class="header">
		Draw
	</h1>

	<div class="infotable">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
		<td style="vertical-align: top;">
			<form action="draw.php" method="get">
				<h4 style="margin-top: 0;">Applet:</h4>
				<p class="subtext">
					<input type="radio" name="applet" value="shi" checked />Shi-Painter<br />
					<input type="radio" name="applet" value="shipro" />Shi-Painter Pro<br />
					<input type="radio" name="applet" value="oekakibbs" />OekakiBBS (<a href="faq.php#faq_4">Warning: read the FAQ</a>)<br />
					<input type="radio" name="applet" value="notebbs" />PaintBBS, with palette<br />
					<input type="radio" name="applet" value="paintbbs" />PaintBBS<br />
				</p>

				<h4>Canvas (Min:&nbsp;<?=$cfg['min_x']?>&times;<?=$cfg['min_x']?>, Max:&nbsp;<?=$cfg['canvas_x']?>&times;<?=$cfg['canvas_y']?>):</h4>
				<p class="subtext">
					<input id="previewWidth" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasx" value="<?=$cfg['def_x']?>" size="4" />
					&times;
					<input id="previewHeight" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasy" value="<?=$cfg['def_y']?>" size="4" />
				</p>

<? if ($flags['M']) { ?>
				<h4>Animation: <input type="checkbox" name="anim" /></h4>
				<p class="subtext">
					NOTE:  You must check &ldquo;animation&rdquo; to save your layers.
				</p>

<? } ?>

				<br />
				<p class="subtext">
					<input type="submit" name="Submit" value="Submit" class="submit" />
				</p>
			</form>
		</td>
<? if ($cfg['preview_img']) { ?>
		<td style="padding-left: 30pt; vertical-align: top;">
			<div style="text-align: center;">
				<img id="previewImage" src="<?=$cfg['res_path'].'/'.$cfg['preview_img']?>" width="300" height="300" alt="[Canvas Preview]" title="<?=$cfg['preview_title']?>" /><br />
				(Canvas preview)
			</div>
		</td>
<? } ?>
		</tr>
		</table>
	</div>
</div>


<?
}

include('footer.php');
?>